﻿namespace Samurai.Workflow
{
    /// <summary>
    /// Thread types
    /// </summary>
    public enum ThreadType
    {
        /// <summary>
        /// The currently executing thread.
        /// </summary>
        Current,

        /// <summary>
        /// A thread obtained from the thread pool.
        /// </summary>
        ThreadPool,

        /// <summary>
        /// The UI thread, if present.
        /// </summary>
        Ui
    }
}
